DetectionSetGroup = SET_GROUP:New()
DetectionSetGroup:FilterPrefixes( { "RAWACS", "REW" } )
DetectionSetGroup:FilterStart()

Detection = DETECTION_AREAS:New( DetectionSetGroup, 30000 )

A2ADispatcher = AI_A2A_DISPATCHER:New( Detection )
--A2ADispatcher:SetEngageRadius()
--A2ADispatcher:SetGciRadius()
A2ADispatcher:SetDefaultTakeoffFromParkingCold()
A2ADispatcher:SetDefaultLandingAtEngineShutdown()

A2ADispatcher:SetDefaultOverhead(0.5)
A2ADispatcher:SetDefaultGrouping(3)
--A2ADispatcher:SetDefaultFuelThreshold()
--A2ADispatcher:SetDefaultDamageThreshold()
--A2ADispatcher:SetDefaultCapTimeInterval()
--A2ADispatcher:SetDefaultTanker()
--A2ADispatcher:SetDefaultFuelThreshold()
--A2ADispatcher:SetIntercept()
--A2ADispatcher:SetDisengageRadius()

SyriaBorderZone = ZONE_POLYGON:New( "Syrian Border", GROUP:FindByName( "Syrian Border" ) )
A2ADispatcher:SetBorderZone( SyriaBorderZone )

--A2ADispatcher:SetSquadron( "Test", AIRBASE.Syria.Abu_al_Duhur, { "SQ-SYAAF-MIG23-Patrol" }, 24 )

A2ADispatcher:SetSquadron( "678", AIRBASE.Syria.Abu_al_Duhur, { "SQ-SYAAF-MIG23-Patrol" }, 12 )
A2ADispatcher:SetSquadron( "825", AIRBASE.Syria.Al_Qusayr, { "SQ-SYAAF-MIG21-Intercept" }, 3 )
A2ADispatcher:SetSquadron( "826", AIRBASE.Syria.Al_Qusayr, { "SQ-SYAAF-MIG21-Patrol" }, 9 )
A2ADispatcher:SetSquadron( "827", AIRBASE.Syria.Al_Qusayr, { "SQ-SYAAF-SU27-Patrol" }, 12 )
A2ADispatcher:SetSquadron( "695", AIRBASE.Syria.An_Nasiriyah, { "SQ-SYAAF-MIG23-Patrol" }, 10 )
A2ADispatcher:SetSquadron( "696", AIRBASE.Syria.An_Nasiriyah, { "SQ-SYAAF-MIG23-Patrol" }, 10 )
A2ADispatcher:SetSquadron( "10", AIRBASE.Syria.Mezzeh, { "SQ-SYAAF-MIG21-Intercept" }, 16 )
A2ADispatcher:SetSquadron( "8", AIRBASE.Syria.Deir_ez_Zor, { "SQ-SYAAF-MIG21-Intercept" }, 6 )
A2ADispatcher:SetSquadron( "67", AIRBASE.Syria.Al_Dumayr, { "SQ-SYAAF-MIG23-Patrol" }, 27 )
A2ADispatcher:SetSquadron( "679", AIRBASE.Syria.Hama, { "SQ-SYAAF-MIG21-Intercept" }, 12 )
A2ADispatcher:SetSquadron( "680", AIRBASE.Syria.Hama, { "SQ-SYAAF-MIG21-Intercept" }, 8 )
A2ADispatcher:SetSquadron( "681", AIRBASE.Syria.Hama, { "SQ-SYAAF-MIG29-Patrol" }, 6 )
A2ADispatcher:SetSquadron( "945", AIRBASE.Syria.Khalkhalah, { "SQ-SYAAF-MIG21-Patrol" }, 12 )
A2ADispatcher:SetSquadron( "946", AIRBASE.Syria.Khalkhalah, { "SQ-SYAAF-MIG21-Intercept" }, 18 )
A2ADispatcher:SetSquadron( "54", AIRBASE.Syria.Marj_Ruhayyil, { "SQ-SYAAF-MIG23-Patrol" }, 12 )
A2ADispatcher:SetSquadron( "77", AIRBASE.Syria.Marj_Ruhayyil, { "SQ-SYAAF-MIG23-Patrol" }, 15 )
A2ADispatcher:SetSquadron( "697", AIRBASE.Syria.Sayqal, { "SQ-SYAAF-MIG29-Patrol" }, 18 )
A2ADispatcher:SetSquadron( "698", AIRBASE.Syria.Sayqal, { "SQ-SYAAF-MIG29-Patrol" }, 10 )
A2ADispatcher:SetSquadron( "699", AIRBASE.Syria.Sayqal, { "SQ-SYAAF-MIG29-Patrol" }, 21 )
A2ADispatcher:SetSquadron( "675", AIRBASE.Syria.Shayrat, { "SQ-SYAAF-MIG23-Patrol" }, 16 )
A2ADispatcher:SetSquadron( "12", AIRBASE.Syria.Tabqa, { "SQ-SYAAF-MIG21-Patrol" }, 18 )
A2ADispatcher:SetSquadron( "1", AIRBASE.Syria.Tiyas, { "SQ-SYAAF-MIG25-Intercept" }, 8 )
A2ADispatcher:SetSquadron( "5", AIRBASE.Syria.Tiyas, { "SQ-SYAAF-MIG25-Intercept" }, 8 )
A2ADispatcher:SetSquadron( "7", AIRBASE.Syria.Tiyas, { "SQ-SYAAF-MIG25-Intercept" }, 8 )

A2ADispatcher:SetSquadron( "2", AIRBASE.Syria.Abu_al_Duhur, { "SQ-SYAAF-L39-Patrol" }, 16 )
--A2ADispatcher:SetSquadron( "68", AIRBASE.Syria.Al_Dumayr, { "SQ-SYAAF-SU17" }, 18 )
A2ADispatcher:SetSquadron( "6", AIRBASE.Syria.Jirah, { "SQ-SYAAF-L39-Patrol" }, 18 )
A2ADispatcher:SetSquadron( "3", AIRBASE.Syria.Kuweires, { "SQ-SYAAF-L39-Patrol" }, 20 )
--A2ADispatcher:SetSquadron( "677", AIRBASE.Syria.Shayrat, { "SQ-SYAAF-SU17" }, 12 )
--A2ADispatcher:SetSquadron( "685", AIRBASE.Syria.Shayrat, { "SQ-SYAAF-SU17" }, 12 )
--A2ADispatcher:SetSquadron( "685", AIRBASE.Syria.Thalah, { "SQ-SYAAF-SU17" }, 16 )
A2ADispatcher:SetSquadron( "685", AIRBASE.Syria.Palmyra, { "SQ-SYAAF-L39-Patrol" }, 16 )
--A2ADispatcher:SetSquadron( "819", AIRBASE.Syria.Tiyas, { "SQ-SYAAF-SU24" }, 10 )
--A2ADispatcher:SetSquadron( "827", AIRBASE.Syria.Tiyas, { "SQ-SYAAF-SU17" }, 24 )

--A2ADispatcher:SetSquadron( "765", AIRBASE.Syria.Khalkhalah, { "SQ-SYAAF-Mi24" }, 10 )
--A2ADispatcher:SetSquadron( "766", AIRBASE.Syria.Khalkhalah, { "SQ-SYAAF-Mi24" }, 8 )
--A2ADispatcher:SetSquadron( "767", AIRBASE.Syria.Marj_Ruhayyil, { "SQ-SYAAF-Mi24" }, 20 )
--A2ADispatcher:SetSquadron( "525", AIRBASE.Syria.Marj_as_Sultan_North, { "SQ-SYAAF-Mi8" }, 14 )
--A2ADispatcher:SetSquadron( "537", AIRBASE.Syria.Marj_as_Sultan_South, { "SQ-SYAAF-Mi8" }, 10 )
--A2ADispatcher:SetSquadron( "909", AIRBASE.Syria.Marj_as_Sultan_South, { "SQ-SYAAF-Mi8" }, 10 )
--A2ADispatcher:SetSquadron( "976", AIRBASE.Syria.Mezzeh, { "SQ-SYAAF-SA324" }, 8 )
--A2ADispatcher:SetSquadron( "977", AIRBASE.Syria.Mezzeh, { "SQ-SYAAF-SA324" }, 6 )
--A2ADispatcher:SetSquadron( "4", AIRBASE.Syria.Minakh, { "SQ-SYAAF-Mi8" }, 8 )
--A2ADispatcher:SetSquadron( "532", AIRBASE.Syria.Qabr_as_Sitt, { "SQ-SYAAF-Mi8" }, 18 )
--A2ADispatcher:SetSquadron( "24", AIRBASE.Syria.Tabqa, { "SQ-SYAAF-Mi8" }, 4 )
--A2ADispatcher:SetSquadron( "253", AIRBASE.Syria.Taftanaz, { "SQ-SYAAF-Mi8" }, 24 )
--A2ADispatcher:SetSquadron( "255", AIRBASE.Syria.Taftanaz, { "SQ-SYAAF-Mi8" }, 24 )

--RCAPZoneNorth = ZONE:New( "RCAP Zone North", GROUP:FindByName( "RCAP Zone North" ) )
 --A2ADispatcher:SetSquadronCap( "678", RCAPZoneNorth, 5000, 25000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

--RCAPZoneCentral = ZONE:New( "RCAP Zone Central", GROUP:FindByName( "RCAP Zone Central" ) )
 --A2ADispatcher:SetSquadronCap( "826", RCAPZoneCentral, 5000, 25000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

--RCAPZoneSouth = ZONE:New( "RCAP Zone South", GROUP:FindByName( "RCAP Zone South" ) )
 --A2ADispatcher:SetSquadronCap( "698", RCAPZoneSouth, 5000, 25000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "Test", 2, 180, 600, 1 )

--RCAPZoneSpecial = ZONE:New( "RCAP Zone Special", GROUP:FindByName( "RCAP Zone Special" ) )
 --A2ADispatcher:SetSquadronCap( "826", RCAPZoneSpecial, 5000, 25000, 500, 600, 800, 900, "BARO" )
 --A2ADispatcher:SetSquadronCapInterval( "826", 1, 180, 600, 1 )

--A2ADispatcher:SetSquadronGci( "Test", 900, 1200 )

A2ADispatcher:SetSquadronGci( "7", 900, 1200 )--MIG25-I
A2ADispatcher:SetSquadronGci( "5", 900, 1200 )--MIG25-I
A2ADispatcher:SetSquadronGci( "1", 900, 1200 )--MIG25-I
--A2ADispatcher:SetSquadronGci( "12", 900, 1200 )--MIG21-P
--A2ADispatcher:SetSquadronGci( "675", 900, 1200 )--MIG23-P
A2ADispatcher:SetSquadronGci( "699", 900, 1200 )--MIG29-I
--A2ADispatcher:SetSquadronGci( "698", 900, 1200 )--MIG29-P
--A2ADispatcher:SetSquadronGci( "697", 900, 1200 )--MIG29-P
--A2ADispatcher:SetSquadronGci( "77", 900, 1200 )--MIG23-P
--A2ADispatcher:SetSquadronGci( "54", 900, 1200 )--MIG23-P
A2ADispatcher:SetSquadronGci( "946", 900, 1200 )--MIG21-I
--A2ADispatcher:SetSquadronGci( "945", 900, 1200 )--MIG21-P
A2ADispatcher:SetSquadronGci( "681", 900, 1200 )--MIG29-I
A2ADispatcher:SetSquadronGci( "680", 900, 1200 )--MIG21-I
A2ADispatcher:SetSquadronGci( "679", 900, 1200 )--MIG21-I
--A2ADispatcher:SetSquadronGci( "67", 900, 1200 )--MIG23-P
A2ADispatcher:SetSquadronGci( "8", 900, 1200 )--MIG21-I
A2ADispatcher:SetSquadronGci( "10", 900, 1200 )--MIG21-I
A2ADispatcher:SetSquadronGci( "696", 900, 1200 )--MIG23-I
--A2ADispatcher:SetSquadronGci( "695", 900, 1200 )--MIG23-P
--A2ADispatcher:SetSquadronGci( "826", 900, 1200 )--SU27-P
--A2ADispatcher:SetSquadronGci( "826", 900, 1200 )--MIG21-P
A2ADispatcher:SetSquadronGci( "825", 900, 1200 )--MIG21-I
--A2ADispatcher:SetSquadronGci( "685", 900, 1200 )--L39-P
--A2ADispatcher:SetSquadronGci( "6", 900, 1200 )--L39-P
--A2ADispatcher:SetSquadronGci( "3", 900, 1200 )--L39-P
--A2ADispatcher:SetSquadronGci( "2", 900, 1200 )--L39-P
--A2ADispatcher:SetSquadronGci( "678", 900, 1200 )--MIG23-P

A2ADispatcher:Start()

--Notes

--Replacement Aircraft
--{ "SQ-SYAAF-MIG19-Patrol" }
--{ "SQ-SYAAF-JF17-Intercept" }